CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
Time.h File Reference
`#include <SFML/System/Export.h>`

Go to the source code of this file.

## Data Structures

struct | sfTime
| Represents a time value. More...

## Functions

CSFML_SYSTEM_API float | sfTime_asSeconds (sfTime time)
| Return a time value as a number of seconds. More...
CSFML_SYSTEM_API sfInt32 | sfTime_asMilliseconds (sfTime time)
| Return a time value as a number of milliseconds. More...
CSFML_SYSTEM_API sfInt64 | sfTime_asMicroseconds (sfTime time)
| Return a time value as a number of microseconds. More...
CSFML_SYSTEM_API sfTime | sfSeconds (float amount)
| Construct a time value from a number of seconds. More...
CSFML_SYSTEM_API sfTime | sfMilliseconds (sfInt32 amount)
| Construct a time value from a number of milliseconds. More...
CSFML_SYSTEM_API sfTime | sfMicroseconds (sfInt64 amount)
| Construct a time value from a number of microseconds. More...

## Variables

CSFML_SYSTEM_API sfTime | sfTime_Zero
| Predefined "zero" time value. More...

## Function Documentation

CSFML_SYSTEM_API sfTime sfMicroseconds | ( | sfInt64 | amount | ) |

Construct a time value from a number of microseconds.

Parameters

  amount | Number of microseconds

Returns
  Time value constructed from the amount of microseconds

CSFML_SYSTEM_API sfTime sfMilliseconds | ( | sfInt32 | amount | ) |

Construct a time value from a number of milliseconds.

Parameters

  amount | Number of milliseconds

Returns
  Time value constructed from the amount of milliseconds

CSFML_SYSTEM_API sfTime sfSeconds | ( | float | amount | ) |

Construct a time value from a number of seconds.

Parameters

  amount | Number of seconds

Returns
  Time value constructed from the amount of seconds

CSFML_SYSTEM_API sfInt64 sfTime_asMicroseconds | ( | sfTime | time | ) |

Return a time value as a number of microseconds.

Parameters

  time | Time value

Returns
  Time in microseconds

CSFML_SYSTEM_API sfInt32 sfTime_asMilliseconds | ( | sfTime | time | ) |

Return a time value as a number of milliseconds.

Parameters

  time | Time value

Returns
  Time in milliseconds

CSFML_SYSTEM_API float sfTime_asSeconds | ( | sfTime | time | ) |

Return a time value as a number of seconds.

Parameters

  time | Time value

Returns
  Time in seconds

## Variable Documentation

CSFML_SYSTEM_API sfTime sfTime_Zero

Predefined "zero" time value.

Definition at line 47 of file Time.h.